%define module_name List-Keywords
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Test2/V0.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Keyword/Builder.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt2
Summary: a selection of list utility keywords
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides keywords that behave (almost) identically to familiar
functions from the List::Util manpage, but implemented as keyword plugins instead of
functions. As a result these run more efficiently, especially in small code
cases.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt1
- updated by package builder

* Sat Feb 04 2023 Igor Vlasenko <viy@altlinux.org> 0.10-alt1
- updated by package builder

* Thu Jul 01 2021 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.07-alt2
- rebuild with perl 5.34.0

* Fri May 28 2021 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- updated by package builder

* Fri May 14 2021 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- updated by package builder

* Tue May 04 2021 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- updated by package builder

* Thu Apr 29 2021 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

